## ros-rospkg 1.1.4

=== Makefile ===
.PHONY: all setup clean_dist distro clean install testsetup test

NAME=rospkg
VERSION=`./setup.py --version`

all:
	echo "noop for debbuild"

setup:
	echo "building version ${VERSION}"

clean_dist:
	-rm -f MANIFEST
	-rm -rf dist
	-rm -rf deb_dist

distro: setup clean_dist
	python setup.py sdist

clean: clean_dist
	echo "clean"

install: distro
	sudo checkinstall python setup.py install

testsetup:
	echo "running rospkg tests"

test: testsetup
	cd test && nosetests && nosetests3

## ros-rospkg 1.0.38

=== debian/changelog ===
ros-rospkg (1.0.38-1) unstable; urgency=medium

  * Initial release (Closes: #805261)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Wed, 18 Nov 2015 17:09:51 +0000

=== debian/control ===
Source: ros-rospkg
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Section: python
Priority: optional
Build-Depends: python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), debhelper (>= 7.4.3)
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-rospkg.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-rospkg.git
Homepage: http://wiki.ros.org/rosdistro
X-Python-Version: >= 2.7

Package: python-rospkg
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Robot OS package library
 This package is part of Robot OS (ROS). It is a library for
 retrieving information about ROS packages and stacks. The rospkg
 Python module provides basic utilities for querying information about
 ROS packages, stacks, and distributions. There are several basic
 APIs: ROS environment, RosPack/RosStack, OS detection, and
 distributions.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.6.0+git at
# Fri, 28 Nov 2014 11:36:13 +0100

%:
	dh $@ --with python2 --buildsystem=python_distutils


override_dh_clean:
	rm -rf src/rospkg.egg-info
	dh_clean

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

=== debian/watch ===
# Watch control file for uscan
# Compulsory line, this is a version 3 file
version=3
# For GitHub projects you can use the tags page:

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/rospkg-$1\.tar\.gz/ \
  https://github.com/ros-infrastructure/rospkg/releases .*/v?(\d\S*)\.tar\.gz

## ros-rospkg 1.0.40

=== debian/changelog ===
ros-rospkg (1.0.40-1) unstable; urgency=medium

  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Fix unit tests
  * Update Vcs URLs
  * Update my email address
  * New upstream version 1.0.40

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 02 Sep 2016 11:43:51 +0200

ros-rospkg (1.0.39-1) unstable; urgency=medium

  * Add build-dep dh-python
  * Imported Upstream version 1.0.39

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jul 2016 23:14:57 +0200

## ros-rospkg 1.0.41

=== debian/changelog ===
ros-rospkg (1.0.41-1) unstable; urgency=medium

  * New upstream version 1.0.41

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 01 Oct 2016 17:25:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: ros-rospkg
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
+           Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Section: python
 Priority: optional
-Build-Depends: python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), debhelper (>= 7.4.3)
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-rospkg.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-rospkg.git
+Build-Depends: python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), debhelper (>= 7.4.3), dh-python
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-rospkg.git
+Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-rospkg.git
 Homepage: http://wiki.ros.org/rosdistro
 X-Python-Version: >= 2.7

## ros-rospkg 1.1.1

=== debian/changelog ===
ros-rospkg (1.1.1-1) unstable; urgency=medium

  * New upstream version 1.1.1
  * Rebase patches
  * Update policy and debhelper versions
  * Update watch file
  * Repackage using pybuild
  * Add python3-rospkg package

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 15 Jul 2017 08:33:14 +0200

## ros-rospkg 1.1.4

=== debian/changelog ===
ros-rospkg (1.1.4-1) unstable; urgency=medium

  * New upstream version 1.1.4

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 18 Oct 2017 08:05:20 +0200

ros-rospkg (1.1.3-1) unstable; urgency=medium

  * New upstream version 1.1.3

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 29 Sep 2017 11:35:39 +0200

ros-rospkg (1.1.2-1) unstable; urgency=medium

  * New upstream version 1.1.2

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 09 Sep 2017 16:46:52 +0200

=== debian/control ===
Source: ros-rospkg
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>, Jochen Sprickerhof <jspricke@debian.org>, Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 10), dh-python, python-all, python-setuptools, python3-all, python3-setuptools, python-mock, python-yaml, python3-mock, python3-yaml
Standards-Version: 4.0.0
Homepage: http://wiki.ros.org/rospkg
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-rospkg.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-rospkg.git
Testsuite: autopkgtest-pkg-python

Package: python-rospkg
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: Robot OS package library (Python 2)
 This package is part of Robot OS (ROS). It is a library for
 retrieving information about ROS packages and stacks. The rospkg
 Python module provides basic utilities for querying information about
 ROS packages, stacks, and distributions. There are several basic
 APIs: ROS environment, RosPack/RosStack, OS detection, and
 distributions.
 .
 This package installs the library for Python 2.

Package: python3-rospkg
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Robot OS package library (Python 3)
 This package is part of Robot OS (ROS). It is a library for
 retrieving information about ROS packages and stacks. The rospkg
 Python module provides basic utilities for querying information about
 ROS packages, stacks, and distributions. There are several basic
 APIs: ROS environment, RosPack/RosStack, OS detection, and
 distributions.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=rospkg
export PYBUILD_AFTER_INSTALL=rm -rf 'debian/python3-rospkg/usr/bin'

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## ros-rospkg 1.1.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.0)
project(rospkg)
find_package(catkin)
catkin_stack()
catkin_project(rospkg
  )
catkin_python_setup()

install(FILES stack.yaml DESTINATION share/${PROJECT_NAME})

add_nosetests(${PROJECT_SOURCE_DIR})

=== debian/changelog ===
ros-rospkg (1.1.7-1) unstable; urgency=medium

  * Update Vcs URLs to salsa.d.o
  * Add R³
  * http -> https
  * New upstream version 1.1.7
  * Fix ancient-python-version-field
  * Bump policy and debhelper versions
  * Rebase patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 19 Aug 2018 08:37:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>, Jochen Sprickerhof <jspricke@debian.org>, Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 10), dh-python, python-all, python-setuptools, python3-all, python3-setuptools, python-mock, python-yaml, python3-mock, python3-yaml
-Standards-Version: 4.0.0
-Homepage: http://wiki.ros.org/rospkg
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
-Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-rospkg.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-rospkg.git
+Build-Depends: debhelper (>= 11), dh-python, python-all, python-setuptools, python3-all, python3-setuptools, python-mock, python-yaml, python3-mock, python3-yaml
+Standards-Version: 4.2.0
+Rules-Requires-Root: no
+Homepage: https://wiki.ros.org/rospkg
+Vcs-Git: https://salsa.debian.org/science-team/ros-rospkg.git
+Vcs-Browser: https://salsa.debian.org/science-team/ros-rospkg
 Testsuite: autopkgtest-pkg-python
 
 Package: python-rospkg

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-rospkg-$1.tar.gz%" \
    https://github.com/ros-infrastructure/rospkg/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ros-rospkg 1.1.10

=== debian/changelog ===
ros-rospkg (1.1.10-1) unstable; urgency=medium

  * New upstream version 1.1.10

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 17 Aug 2019 11:26:03 +0200

ros-rospkg (1.1.9-1) unstable; urgency=medium

  * New upstream version 1.1.9
  * rebase patches
  * Bump policy version (no changes)
  * switch to debhelper-compat and debhelper 12
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 28 Jul 2019 19:45:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>, Jochen Sprickerhof <jspricke@debian.org>, Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 11), dh-python, python-all, python-setuptools, python3-all, python3-setuptools, python-mock, python-yaml, python3-mock, python3-yaml
-Standards-Version: 4.2.0
+Build-Depends: debhelper-compat (= 12), dh-python, python-all, python-setuptools, python3-all, python3-setuptools, python-mock, python-yaml, python3-mock, python3-yaml
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/rospkg
 Vcs-Git: https://salsa.debian.org/science-team/ros-rospkg.git

## ros-rospkg 1.2.3

=== debian/changelog ===
ros-rospkg (1.2.3-1) unstable; urgency=medium

  * New upstream version 1.2.3
  * Drop patch applied upstream

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 05 Jan 2020 09:33:32 +0100

ros-rospkg (1.2.2-2) unstable; urgency=medium

  * Add fix for OS detection on Python 3.8

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 20 Dec 2019 10:41:58 +0100

ros-rospkg (1.2.2-1) unstable; urgency=medium

  * New upstream version 1.2.2 (Closes: #945868)
  * Drop upstreamed patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 14 Dec 2019 10:13:20 +0100

ros-rospkg (1.2.0-2) unstable; urgency=medium

  * Add patches for Python 3.8

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 24 Nov 2019 10:48:47 +0100

ros-rospkg (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 24 Nov 2019 08:26:17 +0100

ros-rospkg (1.1.10-2) unstable; urgency=medium

  * Drop Python 2 package (Closes: #938400)
  * Bump policy versions (no changes)
  * simplify d/watch

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 26 Oct 2019 09:07:35 +0200

=== debian/control ===
Source: ros-rospkg
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>, Jochen Sprickerhof <jspricke@debian.org>, Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper-compat (= 12), dh-python, python3-all, python3-setuptools, python3-mock, python3-yaml
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/rospkg
Vcs-Git: https://salsa.debian.org/science-team/ros-rospkg.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-rospkg
Testsuite: autopkgtest-pkg-python

Package: python3-rospkg
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Breaks: python-rospkg (<< 1.1.10-2)
Replaces: python-rospkg (<< 1.1.10-2)
Description: Robot OS package library (Python 3)
 This package is part of Robot OS (ROS). It is a library for
 retrieving information about ROS packages and stacks. The rospkg
 Python module provides basic utilities for querying information about
 ROS packages, stacks, and distributions. There are several basic
 APIs: ROS environment, RosPack/RosStack, OS detection, and
 distributions.
 .
 This package installs the library for Python 3.

## ros-rospkg 1.2.8

=== debian/changelog ===
ros-rospkg (1.2.8-1) unstable; urgency=medium

  * New upstream version 1.2.8

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 27 Jun 2020 08:04:22 +0200

ros-rospkg (1.2.6-1) unstable; urgency=medium

  * New upstream version 1.2.6
  * Remove Thomas from Uploaders, thanks for working on this
  * bump policy and debhelper versions
  * rebase patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 Jun 2020 07:55:16 +0200

## ros-rospkg 1.2.9

=== debian/changelog ===
ros-rospkg (1.2.9-1) unstable; urgency=medium

  * New upstream version 1.2.9

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 15 Nov 2020 09:51:09 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: python
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Thomas Moulard <thomas.moulard@gmail.com>, Jochen Sprickerhof <jspricke@debian.org>, Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper-compat (= 12), dh-python, python3-all, python3-setuptools, python3-mock, python3-yaml
-Standards-Version: 4.4.1
+Uploaders: Jochen Sprickerhof <jspricke@debian.org>, Leopold Palomo-Avellaneda <leo@alaxarxa.net>
+Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-all, python3-setuptools, python3-mock, python3-yaml
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/rospkg
 Vcs-Git: https://salsa.debian.org/science-team/ros-rospkg.git

## ros-rospkg 1.3.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/rospkg.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/rospkg.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/rospkg"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/rospkg"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

upload: html
	scp -r _build/html/ rosbot@ros.osuosl.org:/home/rosbot/docs/independent/api/rospkg/

=== test/stack_tests/s1/bar/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.4.6)
include($ENV{ROS_ROOT}/core/rosbuild/rosbuild.cmake)
set(ROSPACK_MAKEDIST true)
rosbuild_make_distribution(1.5.0-cmake)

=== debian/changelog ===
ros-rospkg (1.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.3.0
  * Bump Standards-Version to 4.6.0 (no changes)
  * Actually run unit test suite

 -- Timo Röhling <roehling@debian.org>  Thu, 02 Sep 2021 17:41:11 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>, Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-all, python3-setuptools, python3-mock, python3-yaml
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-all, python3-setuptools, python3-mock, python3-nose <!nocheck>, python3-distro <!nocheck>, python3-catkin-pkg <!nocheck>, python3-yaml
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/rospkg
 Vcs-Git: https://salsa.debian.org/science-team/ros-rospkg.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_NOSE=1

%:
	dh $@ --buildsystem=pybuild

## ros-rospkg 1.4.0

=== Makefile ===
--- 
+++ 
@@ -27,4 +27,4 @@
 	echo "running rospkg tests"
 
 test: testsetup
-	cd test && nosetests && nosetests3
+	cd test && pytest && pytest-3

=== debian/changelog ===
ros-rospkg (1.4.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Jochen Sprickerhof ]
  * Enable autopkgtest-pkg-pybuild
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 10 Dec 2022 12:52:52 +0100

ros-rospkg (1.4.0-1) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Drop gitlab-ci
  * Drop old Breaks/Replaces

  [ Timo Röhling ]
  * New upstream version 1.4.0
  * Add myself as uploader

 -- Timo Röhling <roehling@debian.org>  Fri, 25 Feb 2022 13:58:31 +0100

=== debian/control ===
Source: ros-rospkg
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>, Leopold Palomo-Avellaneda <leo@alaxarxa.net>, Timo Röhling <roehling@debian.org>
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-all, python3-setuptools, python3-mock <!nocheck>, python3-pytest <!nocheck>, python3-distro <!nocheck>, python3-catkin-pkg <!nocheck>, python3-yaml
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/rospkg
Vcs-Git: https://salsa.debian.org/science-team/ros-rospkg.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-rospkg
Testsuite: autopkgtest-pkg-pybuild

Package: python3-rospkg
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Robot OS package library (Python 3)
 This package is part of Robot OS (ROS). It is a library for
 retrieving information about ROS packages and stacks. The rospkg
 Python module provides basic utilities for querying information about
 ROS packages, stacks, and distributions. There are several basic
 APIs: ROS environment, RosPack/RosStack, OS detection, and
 distributions.
 .
 This package installs the library for Python 3.

## ros-rospkg 1.5.0

=== test/stack_tests/s2/foo/CMakeLists.txt ===
#bad value on purpose
rosbuild_make_distribution(

=== debian/changelog ===
ros-rospkg (1.5.0-1) unstable; urgency=medium

  * New upstream version 1.5.0
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 16 Jun 2023 19:31:23 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>, Leopold Palomo-Avellaneda <leo@alaxarxa.net>, Timo Röhling <roehling@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-all, python3-setuptools, python3-mock <!nocheck>, python3-pytest <!nocheck>, python3-distro <!nocheck>, python3-catkin-pkg <!nocheck>, python3-yaml
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/rospkg
 Vcs-Git: https://salsa.debian.org/science-team/ros-rospkg.git

## ros-rospkg 1.5.1

=== debian/changelog ===
ros-rospkg (1.5.1-1) unstable; urgency=medium

  * New upstream version 1.5.1
  * Rediff patches
  * Drop python3-mock dependency (Closes: #1069732)
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 24 Apr 2024 07:03:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>, Leopold Palomo-Avellaneda <leo@alaxarxa.net>, Timo Röhling <roehling@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-all, python3-setuptools, python3-mock <!nocheck>, python3-pytest <!nocheck>, python3-distro <!nocheck>, python3-catkin-pkg <!nocheck>, python3-yaml
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-all, python3-setuptools, python3-pytest <!nocheck>, python3-distro <!nocheck>, python3-catkin-pkg <!nocheck>, python3-yaml
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/rospkg
 Vcs-Git: https://salsa.debian.org/science-team/ros-rospkg.git

## ros-rospkg 1.6.0

=== debian/changelog ===
ros-rospkg (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0
  * Refresh patches (no functional changes)
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Wed, 20 Aug 2025 19:17:18 +0200

=== debian/control ===
Source: ros-rospkg
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-catkin-pkg <!nocheck>,
 python3-distro <!nocheck>,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-yaml,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/rospkg
Vcs-Git: https://salsa.debian.org/science-team/ros-rospkg.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-rospkg
Testsuite: autopkgtest-pkg-pybuild

Package: python3-rospkg
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Robot OS package library (Python 3)
 This package is part of Robot OS (ROS). It is a library for
 retrieving information about ROS packages and stacks. The rospkg
 Python module provides basic utilities for querying information about
 ROS packages, stacks, and distributions. There are several basic
 APIs: ROS environment, RosPack/RosStack, OS detection, and
 distributions.
 .
 This package installs the library for Python 3.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-rospkg-$1.tar.gz%" \
    https://github.com/ros-infrastructure/rospkg/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
